# coding: utf-8
import RPi.GPIO as GPIO
import time

LedPin = 15    # pin12 (Pi4J GPIO_01)
               # pin6 la terre 

def setup():
  print("La led va clignoter 5 fois")
  
  GPIO.setmode(GPIO.BOARD)       # Numéro GPIO par location physique
  GPIO.setup(LedPin, GPIO.OUT)   # LedPin en mode output
  
  i = 0  
  while i < 3: # Clignote la led au depart
    GPIO.output(LedPin, GPIO.HIGH)
    time.sleep(.1)
    GPIO.output(LedPin, GPIO.LOW)
    time.sleep(.1)
    i += 1
  
def blink():
  i = 0 
  while i < 5: # Clignote 5 fois 
    GPIO.output(LedPin, GPIO.HIGH) # Allume la led
    time.sleep(1)
    GPIO.output(LedPin, GPIO.LOW)  # Eteint la led
    time.sleep(1)
    i += 1
	
  destroy()
def destroy():
  GPIO.output(LedPin, GPIO.LOW)   # Led éteinte
  GPIO.cleanup()                  # Ressources liberées
  
if __name__ == '__main__':   # Démarrage en Python
  setup()
  try:
    blink()
  except KeyboardInterrupt:  # Interruption avec 'Ctrl+C'
    destroy()
