# coding: utf-8
import RPi.GPIO as GPIO
import sys
import time

LEDPin1 = 12   # pin15 (Pi4J GPIO_01)
LEDPin2 = 15   # pin15 (Pi4J GPIO_03)
               # pin6 la terre 

def setup():
  GPIO.setmode(GPIO.BOARD)       # Numéro GPIO par location physique
  GPIO.setup(LEDPin1, GPIO.OUT)  # LEDPin1 en mode output
  GPIO.setup(LEDPin2, GPIO.OUT)  # LEDPin2 en mode output
  
def blink():
  i = int(sys.argv[1])

  while i > 0:
    GPIO.output(LEDPin1, GPIO.HIGH) # Allume la LED
    GPIO.output(LEDPin2, GPIO.HIGH) # Allume la LED
    time.sleep(.5)
    GPIO.output(LEDPin1, GPIO.LOW)  # Eteint la LED
    GPIO.output(LEDPin2, GPIO.LOW)  # Eteint la LED
    time.sleep(.5)
    i -= 1

  print("Fin de blinkLEDs")
	
def destroy():
  GPIO.output(LEDPin1, GPIO.LOW)   # LED éteinte
  GPIO.output(LEDPin2, GPIO.LOW)   # LED éteinte
  GPIO.cleanup()                   # Ressources libérées
  
if __name__ == '__main__':   # Démarrage en Python
  setup()
  try:
    blink()
    destroy()
  except KeyboardInterrupt:  # Interruption avec 'Ctrl+C'
    destroy()
