import RPi.GPIO as GPIO
import time
import signal
import sys

# use Raspberry Pi board pin numbers
GPIO.setmode(GPIO.BOARD)

# set GPIO Pins
pinTrigger = 38
pinEcho = 40

def close(signal, frame):
	print("\nTurning off ultrasonic distance detection...\n")
	GPIO.cleanup() 
	sys.exit(0)

signal.signal(signal.SIGINT, close)

# set GPIO input and output channels
GPIO.setup(pinTrigger, GPIO.OUT)
GPIO.setup(pinEcho, GPIO.IN)

while True:
	# set Trigger to HIGH
	GPIO.output(pinTrigger, True)
	# set Trigger after 0.01ms to LOW
	time.sleep(0.00001)
	GPIO.output(pinTrigger, False)

	startTime = time.time()
	stopTime = time.time()
  done = 0

	# save start time
	while 0 == GPIO.input(pinEcho):
		startTime = time.time()
                done = 1

	# save time of arrival
	while 1 == GPIO.input(pinEcho):
		stopTime = time.time()
                if done == 1:
                  done = 2

	# time difference between start and arrival
	TimeElapsed = stopTime - startTime
	# multiply with the sonic speed (34300 cm/s)
	# and divide by 2, because there and back
	distance = (TimeElapsed * 34300) / 2

        if done == 2:
		print ("Distance: %.1f cm" % distance)

	time.sleep(1)
