# coding: utf-8
import RPi.GPIO as GPIO
import time

Trig = 38  # Broche pour la sortie Trig du HC-SR04
Echo = 40  # Broche pour l’entrée Echo du HC-SR04

def setup():
  GPIO.setmode(GPIO.BOARD)       # Numéro GPIO par broche physique
  
  GPIO.setup(Trig,GPIO.OUT)
  GPIO.setup(Echo,GPIO.IN)

  GPIO.output(Trig, False)
  
def testdistance():
  print "10 mesures de distance avec le capteur HC-SR04"
  
  for x in range(10): # Répétition de la mesure
    debut = time.time()
    fin = time.time()

    time.sleep(1)     # Toutes les secondes

    GPIO.output(Trig, True)      # Émission ultrasonique
    time.sleep(0.00001)
    GPIO.output(Trig, False)
    
    debut = time.time()
    fin = time.time()
    done = 0
    
    while GPIO.input(Echo)==0:   # Emission ultrasonique
      debut = time.time()
      done = 1

    while GPIO.input(Echo) == 1: # Retour de l'Echo
      fin = time.time()
      if done == 1:
        done = 2

    if done == 2:    
      distance = round((fin - debut) * 340 * 100 / 2, 1)
      print "Distance mesurée: ",distance," cm"
	
def destroy():
  GPIO.cleanup()             # Ressources libérées
  
if __name__ == '__main__':   # Démarrage en Python
  setup()
  try:
    testdistance()
    destroy()
  except KeyboardInterrupt:  # Interruption avec 'Ctrl+C'
    destroy()
