# coding: utf-8
import RPi.GPIO as GPIO
import time

Trig = 38  # Pin pour l'entrée Trig du HC-SR04 
Echo = 40  # Pin pour la sortie Echo du HC-SR04 

def setup():
  GPIO.setmode(GPIO.BOARD)       # Numéro GPIO par location physique
  
  GPIO.setup(Trig,GPIO.OUT)
  GPIO.setup(Echo,GPIO.IN)

  GPIO.output(Trig, False)
  
def relaytest():
  print "10 mesures de distance avec le capteur HC-SR04"
  
  for x in range(10): # Repétition de la mesure
    debut = time.time()
    fin = time.time()

    time.sleep(2)     # Toutes les secondes

    GPIO.output(Trig, True)
    time.sleep(0.00001)
    GPIO.output(Trig, False)
    
    while GPIO.input(Echo)==0:    ## Emission ultrasonique
      debut = time.time()

    while GPIO.input(Echo) == 1:  ## Retour de l'Echo
      fin = time.time()

    distance = round((fin - debut) * 340 * 100 / 2, 1)

    print "Distance mesurée: ",distance," cm"
	
def destroy():
  GPIO.cleanup()             # Ressources libérées
  
if __name__ == '__main__':   # Démarrage en Python
  setup()
  try:
    relaytest()
    destroy()
  except KeyboardInterrupt:  # Interruption avec 'Ctrl+C'
    destroy()
